@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import "variables.css";

.header {
    background-color: #000;
    border-bottom: 6px solid #1bcba5;
}

.nav-top-row {
    position: relative;
}

.gutterless {
    padding: 0;
}

.nav-session ul {
    list-style: none;
    margin: 0;
    padding: 0;
    flex-direction: column;
}

    .nav-session ul > li:not(:last-child) {
        border-bottom: 1px solid #ccc;
        border-color: rgba(255,255,255,.3);
    }

    .nav-session ul > li {
        position: relative;
    }

        .nav-session ul > li > .btn {
            color: var(--white);
            font-size: medium;
            border-radius: 0;
            width: 100%;
            text-align: left;
            overflow: auto;
            padding: 0.75rem 0 0.75rem 1rem;
        }

            .nav-session ul > li > .btn:hover {
                color: var(--black);
                background: var(--primary);
                text-decoration: none;
            }

            .nav-session ul > li > .btn > .icon {
                color: var(--white) !important;
                font-size: 36px;
                vertical-align: middle;
            }

            .nav-session ul > li > .btn.btn-disabled,
            .nav-session ul > li > .btn.btn-disabled > .icon,
            .nav-session ul > li > .btn.btn-disabled:hover {
                color: var(--grey-dark) !important;
                background: none;
                cursor: default;
            }

.nav-session-image {
    position: relative;
    height: 70%;
}

    .nav-session-image > img {
        object-fit: cover;
        width: 100%;
        height: 100%;
    }

.nav-session-text {
    color: var(--white);
    font-size: medium;
    font-weight: bold;
}

.logo {
    display: flex;
    align-items: center;
    color: var(--white);
    cursor: pointer;
    white-space: nowrap;
}

    .logo:hover {
        text-decoration: none;
    }

.logo-image {
    height: 48px;
}

.logo-title {
    margin-left: 8px;
}

.logo-title-english {
    font-size: 1rem;
    font-weight: 700;
}

.logo-title-maori {
    font-size: 0.85rem;
}

.nav-megamenu > ul {
    list-style: none;
    margin: 2.5em 0 0 0;
    padding: 0;
}

    .nav-megamenu > ul > li:not(:first-child) {
        border-left: 1px solid #ccc;
        border-color: rgba(255,255,255,.3);
    }

    .nav-megamenu > ul > li > .nav-megamenu-btn {
        white-space: nowrap;
    }

.nav-megamenu-btn {
    color: var(--white);
    padding: .5rem 1rem;
    font-size: large;
    border-radius: 4px 4px 0 0;
    border-color: transparent;
}

    .nav-megamenu-btn.selected,
    .nav-megamenu-btn:hover {
        color: var(--black);
        background-color: var(--primary);
    }

    .nav-megamenu-btn > * {
        vertical-align: middle;
    }

.nav-megamenu-blocker {
    display: none;
}

.p-wordbreak p {
    word-break: break-word;
}

@media (max-width: 1200px) {
    .nav-megamenu-btn {
        font-size: medium;
    }
}

@media (max-width: 992px) {
    .nav-megamenu {
        position: absolute;
        top: 100%;
        margin-top: 6px;
        left: 0;
        background: black;
        width: 100%;
        padding: 1rem;
        z-index: 1000;
    }

        .nav-megamenu > ul {
            margin: 1em 0 0 0;
        }

            .nav-megamenu > ul > li {
                border: none;
                margin-bottom: 8px;
            }

    .nav-megamenu-btn {
        position: relative;
        color: var(--black);
        background-color: var(--primary);
        border-radius: 4px;
        width: 100%;
        text-align: left;
    }

        .nav-megamenu-btn.selected {
            border-radius: 4px 4px 0 0;
        }

        .nav-megamenu-btn .icon {
            position: absolute;
            top: 17px;
            right: 22px
        }

    .nav-megamenu-blocker {
        display: block;
        position: absolute;
        top: 100%;
        left: 0;
        background: black;
        opacity: 0.2;
        width: 100%;
        height: 100vh;
    }
}

@media (min-width: 992px) {
    .nav-top-row {
        position: initial;
    }

    .logo-title {
        margin-left: 16px;
    }

    .logo-title-english {
        font-size: 2rem;
    }

    .logo-title-maori {
        font-size: 1.5rem;
    }

    .logo-image {
        height: 80px;
    }
}

@media(max-width: 992px) {
    .nav-session ul {
        flex-direction: row;
        justify-content: center;
        margin: 1rem 0;
    }

        .nav-session ul > li:not(:last-child) {
            border-bottom: 0;
            border-right: 1px solid #ccc;
            border-color: rgba(255,255,255,.3);
        }

        .nav-session ul > li {
            flex-grow: 1;
        }

            .nav-session ul > li > .btn {
                text-align: center;
                padding: 1rem;
            }

                .nav-session ul > li > .btn > .icon {
                    display: block;
                    margin: auto;
                }
}

.nav-search {
    color: var(--white);
}

.nav-search-link {
    color: var(--primary);
    font-size: small;
}

    .nav-search-link:hover {
        color: var(--primary-darker);
    }

    .nav-search-link > * {
        vertical-align: middle;
    }

.nav-search-blocker {
    display: none;
}

.nav-search-box {
    margin-top: 0.5rem;
    border-radius: 4px;
    position: relative;
}

    .nav-search-box input:focus {
        outline-color: var(--primary);
        outline-width: 4px;
        outline-style: solid;
        outline-offset: 1px;
    }

    .nav-search-box input {
        border-radius: 4px;
        padding: .5em;
        padding-right: 2.5em;
        border: none;
        font-size: medium;
        line-height: 1.75;
    }

    .nav-search-box button {
        position: absolute;
        right: 0;
        color: var(--primary);
        font-size: 32px;
    }

@media (max-width: 992px) {
    .nav-search {
        position: absolute;
        top: 100%;
        margin-top: 6px;
        left: 0;
        background: black;
        width: 100%;
        padding: 1rem;
    }

    .nav-search-link {
        font-size: large;
    }

    .nav-search-blocker {
        display: block;
        position: absolute;
        top: 100%;
        left: 0;
        background: black;
        opacity: 0.2;
        width: 100%;
        height: 100vh;
    }

    .nav-search-box {
        width: 100%;
    }

        .nav-search-box > input {
            width: 100%
        }
}


.c-lang {
    color: var(--white);
    font-size: large;
}

.c-lang-title {
    display: block;
    color: #ccc;
    margin-bottom: 8px;
}

#blazor-error-ui {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

@media (min-width: 768px) {
    .c-lang {
        font-size: medium;
    }
}

#app {
    /*font-family: "Open Sans";*/
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
    color: var(--PDS-Neutral-Black);
}

h1, h2, h3 {
    font-weight: 700;
    line-height: 24px;
    font-size: 14px;
    font-style: normal;
    color: var(--PDS-Neutral-Black);
}

p {
    margin: 0;
}

.note-body ul {
    padding: 0 24px;
}

.note-body li {
    padding-top: 16px
}

.modal-text a {
    color: var(--PDS-Main-Link-Blue-800);
}

.modal-text p a {
    color: var(--PDS-Main-Link-Blue-800);
}

.text-input-wrapper input {
    box-sizing: border-box;
    width: 100%;
    padding: 8px 16px;
    border: none;
    font-size: 14px;
    outline: none;
}

.textarea-input-wrapper textarea {
    box-sizing: border-box;
    width: 100%;
    padding: 8px 16px;
    border: none;
    border-radius: 4px;
    font-size: 14px;
    outline: none;
    overflow: hidden;
    resize: none;
}

    .textarea-input-wrapper textarea:focus {
        border-color: var(--PDS-Neutral-Black);
    }

.ql-container, .ql-editor {
    min-height: 150px;
}

.ql-container {
    border-radius: 0 0 4px 4px;
}

.ql-toolbar {
    border-radius: 4px 4px 0 0;
}

.ql-editor h1 {
    line-height: unset !important;
}

input.upload-button {
    opacity: 0;
    width: 0.1px;
    height: 0.1px;
    position: absolute;
}

label.submission-upload-label {
    width: 120px;
    padding: 10px 16px;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    border-radius: 4px;
    border: none;
    background: var(--PDS-Main-Cyan-500);
    white-space: nowrap;
}

    label.submission-upload-label:hover {
        cursor: pointer;
    }

    label.submission-upload-label:focus-within {
        outline: 2px solid black;
    }

@media(min-width: 856px) {
    .input-checkbox {
        -webkit-appearance: none;
        appearance: none;
        width: 24px;
        height: 24px;
        border: 2px solid var(--PDS-Main-Cyan-500);
        border-radius: 4px; /* optional */
        background: #fff;
        position: relative;
        cursor: pointer;
    }

        .input-checkbox:checked {
            background: var(--PDS-Main-Cyan-500); /* box color when checked */
            border-color: var(--PDS-Main-Cyan-500);
        }

            .input-checkbox:checked::after {
                content: "";
                position: absolute;
                left: 6px;
                top: 2px;
                width: 7px;
                height: 12px;
                border: solid var(--PDS-Neutral-Black); /* tick color */
                border-width: 0 3px 3px 0;
                transform: rotate(45deg);
            }
}

/* Text inputs, selects, textareas */
input.invalid, textarea.invalid, select.invalid {
    border-color: var(--PDS-Semantic-Error);
    //outline: 1px solid var(--PDS-Semantic-Error);
}

    input.invalid + label {
        //color: var(--PDS-Semantic-Error);
    }

/* Radios: outline label when input is invalid */
input[type="radio"] + label {
    //outline: 2px solid #d92c2c;
    //outline-offset: 2px;
}

.validation-message {
    color: var(--PDS-Semantic-Error);
}

.dropdown-container:has(+ .validation-message) {
    border-color: var(--PDS-Semantic-Error);
}

.considerations-text-area {
    width: 100%;
    height: 120px;
}

@media print {
    .no-print {
        display: none;
    }
}